Page MenuHomePhabricator

Create user interface for related articles recommendations
Open, LowPublic

Description

We would like to have an easily-usable interface for exercising all recommendation types.

This should be a matter of extending the current GapFinder tool following the design documents for incorporating other recommendation types.

A preview of the work is available here: https://recommend-alpha.wmflabs.org/related_articles

Details

Related Gerrit Patches:
research/recommendation-api : master(in progress) generic UI
research/recommendation-api : master(in progress) generic UI

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 16 2016, 12:05 PM
schana moved this task from Next up to In Progress on the Recommendation-API board.

Change 330868 had a related patch set uploaded (by Nschaaf):
(in progress) generic UI

https://gerrit.wikimedia.org/r/330868

Change 333243 had a related patch set uploaded (by Nschaaf):
(in progress) generic UI

https://gerrit.wikimedia.org/r/333243

Change 330868 abandoned by Nschaaf:
(in progress) generic UI

https://gerrit.wikimedia.org/r/330868

I set up a prototype on tool labs that consumes the related articles API.

leila added a comment.Feb 2 2017, 6:16 PM

@ellery: happy to see that you got the demo going.

@schana: Based on our discussion just now, you suggested to turn this task into an epic and create subtasks for it.

To expand a bit on Leila's comment, I think this task encompasses the work of adding a Recommendation Type selection to the app. Since this basically involves adding a node at the root of the tree and shifting everything else appropriately, there is a fair amount of work involved. The end result should be a more flexible tool that is able to have new recommendation types added without much effort.

schana edited projects, added Epic; removed Patch-For-Review.Feb 3 2017, 9:48 PM

@schana what are the requirements for this tool? Do we need to work on it more? We should spend more development time on it if there is a plan for how it will be used/expanded.
@ellery do you want to see more development on the UI end?

@leila It was my understanding that Research wanted a tool that could exercise the different Recommendation Types as described in the design doc. This can be accomplished by adding a selector for the Recommendation Type and either building the interface dynamically based on shared components, or navigating to a copy-pasted-adapted version specific to that type. The latter option is not maintainable long-term, so the work I've been doing has been focused on decoupling all the components of the app, and then composing them in an organized fashion based on the specs provided by the Recommendation Types' APIs.

leila added a comment.Feb 16 2017, 5:00 PM

The design doc is for edit recommendation, not read recommendations, @schana. While the read recommendations may use the same design as edit recommendations, if we want to do more work in read recommendations, I suggest that we ask for Pau's input for a design for that purpose.

schana triaged this task as Low priority.Feb 16 2017, 6:15 PM
schana updated the task description. (Show Details)Feb 23 2017, 9:57 AM

@Pginer-WMF We're looking to extend the use of https://recommend.wmflabs.org to include additional recommendation types. Because the new type we intend to add provides reading recommendations (in the form of articles related to a seed provided by the user) instead of edit recommendations, we were wondering if you could provide input on if/how the design that was created for GapFinder should change to accommodate the new purpose. There is currently a modified version of GapFinder to serve this purpose available (http://tools.wmflabs.org/readmore/), but we're looking to have a single app instead of creating individual instances for every type.

leila moved this task from In Progress to Backlog on the Recommendation-API board.Mar 8 2017, 6:17 PM
leila moved this task from Backlog to Paused on the Recommendation-API board.

Change 333243 abandoned by Nschaaf:
(in progress) generic UI

Reason:
UI work has moved to https://github.com/schana/recommendation-tool

https://gerrit.wikimedia.org/r/333243

schana updated the task description. (Show Details)Jun 23 2017, 3:17 PM

Moving this to GapFinder board.